<?php
error_reporting(false);

header('Content-Type: application/json');
header("Cache-Control: no-cache");
header("Pragma: no-cache");

include('conexao.php');

$id = (int)$_POST['id'];

if($_POST['arquivo'] != '') {
$up = mysqli_query($con, "update slides set nome='".utf8_decode($_POST['nome'])."', imagem = '".$_POST['arquivo']."' where id = ".$id);
} else {
$up = mysqli_query($con, "update slides set nome='".utf8_decode($_POST['nome'])."' where id = ".$id);
}

if($up) {
$varm = array('resp' => 'ok');
} else {
$varm = array('resp' => 'erro');
}

echo json_encode($varm); 

?>